# Note:         Gradio version 8.0 was rewritten in Rust and renamed to Shortwave

%global         appname         Shortwave
%global         filename        de.haeckerfelix
%global         archivename     %{appname}-v%{version}

Name:           gradio
Version:        7.2
Release:        9%{?dist}
Summary:        Find and listen to internet radio stations

License:        GPLv3+
URL:            https://gitlab.gnome.org/World/Shortwave
Source0:        %{url}/-/archive/v%{version}/%{archivename}.tar.bz2

# Adding multiple translations which not included by upstream:
# hi, hu, ca, cmn, fi, ga, id, ja, ko, pt_PT, ru
Patch0:         %{name}-translations.patch

# The Appdata files now go to /usr/share/metainfo
Patch1:         %{name}-metainfo-path-change.patch

BuildRequires:  intltool
BuildRequires:  meson
BuildRequires:  pkgconfig(appstream-builder)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.20
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  /usr/bin/appstream-util
BuildRequires:  /usr/bin/desktop-file-validate
BuildRequires:  vala

Requires:       dconf
Requires:       hicolor-icon-theme

%description
A GTK3 app for finding and listening to internet radio stations.

%prep
%autosetup -p1 -n %{archivename}

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name}

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{filename}.%{name}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{filename}.%{name}.desktop

%files -f %{name}.lang
%doc README.md
%license LICENSE.md
%{_bindir}/%{name}
%{_datadir}/applications/%{filename}.%{name}.desktop
%{_datadir}/dbus-1/services/%{filename}.%{name}.service
%{_datadir}/glib-2.0/schemas/%{filename}.%{name}.gschema.xml
%{_datadir}/gnome-shell/search-providers/%{filename}.%{name}.search-provider.ini
%{_datadir}/icons/hicolor/*/apps/%{filename}.%{name}-symbolic.svg
%{_datadir}/icons/hicolor/*/apps/%{filename}.%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{filename}.%{name}.svg
%{_metainfodir}/%{filename}.%{name}.appdata.xml

%changelog
* Sun Feb 17 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 7.2-9
- Updated spec file

* Mon Feb 04 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 7.2-4
- Removed gnome-shell dependency

* Sun Feb 03 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 7.2-3
- Updated spec file
- Added multiple translations: ca, cmn, fi, ga, hi, hu, id, ja, ko, pt_PT

* Fri Feb 1 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 7.2-2
- Spec file fixes

* Thu Jan 31 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 7.2-1
- Added Russian translation
